Subject: Re: [PATCH v3 4/7] sequencer: treat error reading HEAD as unborn branch

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Mar 2024 15:25:16 -0700

"Brian Lyles" <[email-masked]> writes:

> If I'm understanding you correctly, it sounds like you're hinting at
> something like this:

You may also want to add _READING (I do not know offhand).  Also
you'd want to make sure resolve_ref_unsafe() returned a plausible
looking refname (i.e. passes starts_with("refs/heads/").

But other than that, yeah, doing these as "extra checks" only after
we see the primary resolve_ref("HEAD") fails was what I had in mind.

Thanks.